/*
 * Copyright (c) 2018-2028, aokunsang All rights reserved.
 * 我问青山何时老，青山问我几时闲，
 * 不是闲人闲不得，能闲必非等闲人。
 */
package org.springblade.bi.client;

import org.springblade.bi.client.factory.BiTenantClientFallbackFactory;
import org.springblade.common.openfeign.OpenFeignConstants;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;

/**
 * BI模块的租户初始化
 *
 * @author wookvn
 * @datetime 2025-01-08 15:06:49
 */
@FeignClient(contextId = "biTenantClient",
        value = OpenFeignConstants.BI_SERVICE,
        fallbackFactory = BiTenantClientFallbackFactory.class)
public interface BiTenantClient {

    /**
     * <p>初始化</p>
     * @author wookvn
     * @datetime 2025-01-08 15:10:36
     * @param tenantId: 租户ID
     **/
    @PostMapping(OpenFeignConstants.BI_SERVICE + "/tenant/init")
    void tenantInit(String tenantId);

}
