/*
 * Copyright (c) 2018-2028, AoKunSang All rights reserved.
 * 我问青山何时老，青山问我几时闲，
 * 不是闲人闲不得，能闲必非等闲人。
 */
package org.springblade.bi.client.factory;

import org.springblade.bi.client.BiTenantClient;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

import lombok.extern.slf4j.Slf4j;

/**
 * 服务降级
 *
 * @author wookvn
 * @datetime 2025-01-08 15:11:03
 */
@Slf4j
@Component
public class BiTenantClientFallbackFactory implements FallbackFactory<BiTenantClient> {
    @Override
    public BiTenantClient create(Throwable cause) {
        log.error("BiTenantClient invoke fallback:{}", cause.getMessage());
        return new BiTenantClient() {
            @Override
            public void tenantInit(String tenantId) {

            }
        };
    }
}
